MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028082Open CASCADE[OCCT] OCCT:Data Exchangepublic2016-11-09 20:242017-09-29 16:29
Reporterssv 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028082: UpdateAssembly() method in shape tool is not recursive
DescriptionToday UpdateAssembly() method is used in XCAFDoc_ShapeTool for updating internal compounds stored in (sub)assemblies. This method is implemented in a non-recursive manner (it updates only the parent compound). What is proposed:

1. To make this method recursive to propagate compound update in a bottom-up manner. The current behavior is considered faulty.

2. To make the invocation of this method optional (enabled by default?). The idea is to let the user disable any updates unless he finishes some low-level modifications (modify instances, remove components, etc.). At the end, a global update can be done (see 0028055).
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0028055closedapn Add UpdateAssemblies() method for top-down update of assembly compounds 
related to 0026314assignedgka Method XCAFDoc_ShapeTool::SetShape() works not correctly. 
related to 0025441closedbugmaster XCAFDoc_ShapeTool::UpdateAssembly() does not update the back-references 

-  Notes
(0069389)
abv (manager)
2017-08-15 14:22

Sergey, is this issue still relevant? I suppose fix for 0028055 should be sufficient (it also removed method UpdateAssembly()) -- can you please confirm?
(0069391)
ssv (developer)
2017-08-15 14:31

Confirmed. This issue is not relevant since a better approach was implemented.

- Issue History
Date Modified Username Field Change
2016-11-09 20:24 ssv New Issue
2016-11-09 20:24 ssv Assigned To => ssv
2016-11-09 20:25 ssv Status new => assigned
2016-11-09 20:25 ssv Relationship added related to 0028055
2016-11-10 11:40 ssv Relationship added related to 0026314
2016-11-10 11:42 ssv Relationship added related to 0025441
2017-08-15 14:22 abv Note Added: 0069389
2017-08-15 14:22 abv Status assigned => feedback
2017-08-15 14:31 ssv Note Added: 0069391
2017-08-15 14:31 ssv Assigned To ssv => abv
2017-08-16 16:05 abv Status feedback => tested
2017-08-16 16:06 abv Status tested => verified
2017-08-16 16:06 abv Resolution open => fixed
2017-08-18 13:05 bugmaster Test case number => Not required
2017-09-29 16:17 user533 Fixed in Version => 7.2.0
2017-09-29 16:29 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker